<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/pdts_defs.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d5f2f5bed3199c43277086728111e9c9.html">DTS</a></li><li class="navelem"><a class="el" href="dir_90267f26e899dc7372f7f3f7704d6d52.html">ProtoDUNE_TimingSystem</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">pdts_defs.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- pdts_defs</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Constants <span class="vhdlkeyword">and</span> types <span class="vhdlkeyword">for</span> PDTS</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">-- Dave Newbold, October </span><span class="vhdllogic">2016</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_1164.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="vhdlkeyword">use </span>ieee.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="code" href="classpdts__defs.html">   11</a></span>&#160;<span class="keywordflow">package </span><a class="code" href="classpdts__defs.html">pdts_defs</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">-- L0 constants</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CLK_FREQ</span><span class="vhdlchar">:</span> <span class="comment">real</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">50</span>.<span class="vhdllogic">0</span>;<span class="keyword"> -- System clock frequency</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCLK_RATIO</span><span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">5</span>;<span class="keyword"> -- Ratio <span class="vhdlkeyword">of</span> IO clock <span class="vhdlkeyword">to</span> base clock (</span><span class="vhdllogic">5</span> = 250Mb/s IO)</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">-- L1 constants</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CCHAR</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">X</span><span class="keyword">&quot;BC&quot;</span>;<span class="keyword"> -- K28.</span><span class="vhdllogic">5</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CCHAR_PD</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdllogic">&quot;1010000011&quot;</span>;<span class="keyword"> -- K28.</span><span class="vhdllogic">5</span> encoded RD = +1</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CCHAR_ND</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">9</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdllogic">&quot;0101111100&quot;</span>;<span class="keyword"> -- K28.</span><span class="vhdllogic">5</span> encoded RD = -1</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCHAR</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">X</span><span class="vhdllogic">&quot;3C&quot;</span>;<span class="keyword"> -- K28.</span><span class="vhdllogic">1</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">-- L2   constants</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">GRP_W</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span>;<span class="keyword"> -- Bitwidth <span class="vhdlkeyword">of</span> <span class="vhdlkeyword">group</span> ID</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">ADDR_WDS</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> address words    </span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">--  <span class="vhdlkeyword">constant</span> ADDR_FLD_W: <span class="comment">natural</span> := </span><span class="vhdllogic">8</span>; -- Add fancier address matching later</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCMD_W</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword"> -- Bitwidth <span class="vhdlkeyword">of</span> sync cmd</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CSUM_WDS</span> <span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> checksum words (CRC16)</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">ACMD_LEN_MIN</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">ADDR_WDS</span> <span class="vhdlchar">*</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span> <span class="vhdlchar">+</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlchar">+</span> <span class="vhdlchar">CSUM_WDS</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">IDLE_DATA_WDS</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">16</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> data words <span class="vhdlkeyword">in</span> idle packet</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">CMD_LEN_MAX</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">IDLE_DATA_WDS</span> <span class="vhdlchar">+</span> <span class="vhdlchar">ACMD_LEN_MIN</span>;<span class="keyword"> -- Maximum command length</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">COMMA_TIMEOUT_W</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">8</span>;<span class="keyword"> -- Bitwidth <span class="vhdlkeyword">of</span> timeout counter</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword"></span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">-- L3 constants</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">TSTAMP_WDS</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">8</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> words <span class="vhdlkeyword">in</span> timestamp</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">EVTCTR_WDS</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> words <span class="vhdlkeyword">in</span> event counter</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">EVTCTR_MASK</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">2</span> <span class="vhdlchar">*</span><span class="vhdlchar">*</span> <span class="vhdlchar">SCMD_W</span> <span class="vhdlchar">-</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">X</span><span class="vhdllogic">&quot;0008&quot;</span>;<span class="keyword"> -- Which sync cmds cause evt ctr update</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCMD_MAX</span><span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword"> -- Number <span class="vhdlkeyword">of</span> scmds <span class="vhdlkeyword">in</span> <span class="vhdlkeyword">use</span> (must be contiguous)</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCMD_SYNC</span><span class="vhdlchar">:</span> <span class="comment">integer</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">4</span>;<span class="keyword"> -- The sync commmand ID</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="vhdlkeyword">type</span> <span class="vhdlchar">SCMD_LEN_T</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">to</span> <span class="vhdllogic"></span><span class="vhdllogic">2</span> <span class="vhdlchar">*</span><span class="vhdlchar">*</span> <span class="vhdlchar">SCMD_W</span> <span class="vhdlchar">-</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="comment">natural</span>;<span class="keyword"> -- Data words <span class="vhdlkeyword">for</span> each sync cmd</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="vhdlkeyword">constant</span> <span class="vhdlchar">SCMD_LEN</span><span class="vhdlchar">:</span> <span class="vhdlchar">SCMD_LEN_T</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlchar">SCMD_SYNC</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span> <span class="vhdlchar">+</span> <span class="vhdlchar">TSTAMP_WDS</span> <span class="vhdlchar">+</span> <span class="vhdlchar">EVTCTR_WDS</span><span class="vhdlchar">,</span> <span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword"></span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">-- Types</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="vhdlkeyword">type</span> <span class="vhdlchar">cmd_w</span> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="vhdlkeyword">record</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            <span class="vhdlchar">d</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <span class="vhdlchar">valid</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <span class="vhdlchar">last</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">record</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="vhdlkeyword">type</span> <span class="vhdlchar">cmd_w_array</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span><span class="vhdlchar">(</span><span class="comment">natural</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="vhdlchar">cmd_w</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="vhdlkeyword">type</span> <span class="vhdlchar">cmd_r</span> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="vhdlkeyword">record</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="vhdlchar">ack</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <span class="vhdlchar">ren</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">record</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="vhdlkeyword">type</span> <span class="vhdlchar">cmd_r_array</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">array</span><span class="vhdlchar">(</span><span class="comment">natural</span> <span class="vhdlkeyword">range</span> <span class="vhdlchar">&lt;</span><span class="vhdlchar">&gt;</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">of</span> <span class="vhdlchar">cmd_r</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">pdts_defs</span>;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:30 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
